> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.runpayments.io/reference/payments-api/void-or-refund-transaction/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.runpayments.io/_mcp/server. # Void or Refund POST https://javelin.runpayments.io/api/v1/void-or-refund Content-Type: application/json Makes a void request to cancel a transaction or process a refund Reference: https://docs.runpayments.io/reference/payments-api/void-or-refund-transaction ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Body (application/json) This endpoint expects an object. - `trans_id` (string, required) — Reference number for the transaction - `mid` (string, required) — Merchant ID - `user_identifier` (string, optional) — The user that initiated the activity - `amount` (integer, optional) — Ticket amount ## Response ### 200 Void or refund successful - `result` (string, required) — Result of auth request - `trans_id` (string, required) — Reference number for the transaction - `resp_code` (string, required) — Response code that represents description of the response - `resp_text` (string, required) — Text description of response - `resp_proc` (string, required) — Abbreviation that represents platform and processor for transaction - `user_identifier` (string, required) — The user that initiated the activity - `mid` (string, required) — Merchant ID - `amount` (integer, required) — Ticket amount - `currency` (string, required) — Three character currency indicator (Defaults to USD) - `order_id` (string, required) — Source system order number - `auth_code` (string, required) — Authorization code from issuer ## Errors ### 400 Bad Request Error Bad request - `error` (string, optional) — Error code - `error_description` (string, optional) — Detailed error description ### 401 Unauthorized Error Unauthorized - `error` (string, optional) — Error code - `error_description` (string, optional) — Detailed error description ## Examples **Request** ```json { "trans_id": "string", "mid": "string" } ``` **Response** ```json { "result": "string", "trans_id": "string", "resp_code": "string", "resp_text": "string", "resp_proc": "string", "user_identifier": "string", "mid": "string", "amount": 1, "currency": "string", "order_id": "string", "auth_code": "string" } ``` **SDK Code** ```python import requests url = "https://javelin.runpayments.io/api/v1/void-or-refund" payload = { "trans_id": "string", "mid": "string" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://javelin.runpayments.io/api/v1/void-or-refund'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"trans_id":"string","mid":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://javelin.runpayments.io/api/v1/void-or-refund" payload := strings.NewReader("{\n \"trans_id\": \"string\",\n \"mid\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://javelin.runpayments.io/api/v1/void-or-refund") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"trans_id\": \"string\",\n \"mid\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://javelin.runpayments.io/api/v1/void-or-refund") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"trans_id\": \"string\",\n \"mid\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://javelin.runpayments.io/api/v1/void-or-refund', [ 'body' => '{ "trans_id": "string", "mid": "string" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://javelin.runpayments.io/api/v1/void-or-refund"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"trans_id\": \"string\",\n \"mid\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "trans_id": "string", "mid": "string" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://javelin.runpayments.io/api/v1/void-or-refund")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```